Summary:    The Chinese Pinyin and Bopomofo engines for IBus input platform
Name:       ibus-pinyin
Version:    1.5.0
Release:    1%{?dist}
License:    GPL-2.0-or-later
URL:        http://code.google.com/p/ibus
Source0000:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0000:     ibus-pinyin-fixes-lua-compile.patch
Patch0001:     ibus-pinyin-support-set-content-type-method.patch
Patch0002:     ibus-pinyin-fixes-english-db-build.patch
Patch0003:     ibus-pinyin-fixes-preference-dialog.patch

BuildRequires:  gcc-c++, gnome-common, gettext-devel, intltool, libtool, pkgconfig
BuildRequires:  sqlite-devel, libuuid-devel, ibus-devel >= 1.5.4, lua-devel >= 5.1
BuildRequires:  opencc-devel, pyzy-devel, python3-devel, make


Requires:   ibus >= 1.5.4


%description
The Chinese Pinyin and Bopomofo input methods for IBus platform.

%prep
%autosetup -p1

%build
./autogen.sh
%configure --disable-static --enable-db-open-phrase \
           --enable-opencc \
           --disable-boost

%make_build

%install
make DESTDIR=${RPM_BUILD_ROOT} install

%py_byte_compile %{python3} $RPM_BUILD_ROOT%{_datadir}/ibus-pinyin/setup

%find_lang %{name}


%files -f %{name}.lang

%license COPYING
%doc AUTHORS README

%dir %{_datadir}/ibus-pinyin
%dir %{_datadir}/ibus-pinyin/db
%{_datadir}/ibus-pinyin/phrases.txt
%{_datadir}/ibus-pinyin/icons
%{_datadir}/ibus-pinyin/setup
%{_datadir}/applications/ibus-setup-bopomofo.desktop
%{_datadir}/applications/ibus-setup-pinyin.desktop
%{_datadir}/ibus/component/*
%{_datadir}/ibus-pinyin/base.lua
%{_datadir}/ibus-pinyin/db/english.db
%{_libexecdir}/ibus-engine-pinyin
%{_libexecdir}/ibus-setup-pinyin


%changelog
* Mon Sep 4 2023 Chair <chairou@tencent.com> - 1.5.0-1
- Init
